I/O operators for bitsets.(3)

NAME
I/O operators for bitsets. -

SYNOPSIS

  Functions
template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_ostream< _CharT,
_Traits > & std::tr2::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)"
template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_istream< _CharT,
_Traits > & std::tr2::operator>> (std::basic_istream< _CharT, _Traits > &__is, dynamic_bitset< _WordT, _Alloc > &__x)"

Detailed Description

Global I/O operators for bitsets. Direct I/O between streams and bitsets is supported. Output is straightforward. Input will skip whitespace and only accept '0' and '1' characters. The dynamic_bitset will grow as necessary to hold the string of bits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.